# InputRequest

Encapsulates an input request.

author | Hans Lellelid hans@xmpl.org (Phing)
author | Stefan Bodewig stefan.bodewig@epost.de (Ant)
version | $Id: ff401fe7e6280742731cece9d15924c13dad8b1e $
package | phing.input

### Methods

## __construct

    __construct(string $prompt)

throws |

### Arguments

#### $prompt

`string`

The prompt to show to the user. Must not be null.

## Return the default value to use.

    getDefaultValue() : mixed

### Response

`mixed`

## Retrieves the user input.

    getInput()

## Retrieves the prompt text.

    getPrompt()

## Return the default value to use.

    getPromptChar() : string

### Response

`string`

## Is the user input valid?

    isInputValid()

## Set the default value to use.

    setDefaultValue(mixed $v)

### Arguments

#### $v

`mixed`

## Sets the user provided input.

    setInput( $input)

### Arguments

#### $input

``

## Set the default value to use.

    setPromptChar(string $c)

### Arguments

#### $c

`string`

### Properties

## prompt

    prompt :

### Type(s)

``

## input

    input :

### Type(s)

``

## defaultValue

    defaultValue :

### Type(s)

``

## promptChar

    promptChar :

### Type(s)

``